# Tomcat
server:
  port: 9233
# Spring
spring:
  application:
    # 应用名称
    name: jeeplus-xxl-job-executor-sample
  profiles:
    # 环境配置
    active: pro
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 127.0.0.1:8848
        # 命名空间
        namespace: ${spring.profiles.active}
        # username: nacos
        # password: nacos
      config:
        # 配置中心地址
        server-addr: 127.0.0.1:8848
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application.${spring.cloud.nacos.config.file-extension}
        # 命名空间
        namespace: ${spring.profiles.active}
        # username: ${spring.cloud.nacos.discovery.username}
        # password: ${spring.cloud.nacos.discovery.password}
#ribbon的超时时间
ribbon:
  ConnectTimeout: 60000 # 连接超时时间(ms)
  ReadTimeout: 60000 # 通信超时时间(ms)

hystrix:
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMillisecond: 60000 # 熔断超时时长：60000ms

